<%= javascript_include_tag "decidim/slug_form" %>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t "consultations.form.title", scope: "decidim.admin" %></h2>
  </div>

  <div class="card-section">
    <div class="row column">
      <%= form.translated :text_field, :title, autofocus: true %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :subtitle %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :description, toolbar: :image, lines: 25 %>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.date_field :start_voting_date %>
      </div>

      <div class="columns xlarge-6">
        <%= form.date_field :end_voting_date %>
      </div>
    </div>

    <div class="row column">
      <%= scopes_picker_field form, :decidim_highlighted_scope_id, root: nil %>
    </div>

    <div class="fow column">
      <%= form.text_field :slug %>
      <p class="help-text">
        <%== t "consultations.form.slug_help",
             scope: "decidim.admin",
             url: decidim_form_slug_url(:consultations, form.object.slug || consultation_example_slug) %>
      </p>
    </div>

    <div class="row">
      <div class="columns xlarge-4">
        <%= form.upload :banner_image %>
      </div>

      <div class="columns xlarge-4">
        <%= form.url_field :introductory_video_url %>
      </div>

      <div class="columns xlarge-4">
        <%= form.upload :introductory_image %>
      </div>
    </div>
  </div>
</div>
